//	CassidyConfig.h

#pragma once

#include "BlanketModule.h"

class CassidyConfig : public BlanketModule::Config
{
	friend class CassidyFilter;
	
	public:
	
		CassidyConfig(BlanketModule *, BView *, int, bool, int);
		
	private:
	
		BCheckBox *colorCheck;
		BSlider *colorSlider;
		BSlider *redrawSlider;
};

class CassidyFilter : public BMessageFilter
{
	public:
	
		CassidyFilter(CassidyConfig *);
		
		filter_result Filter(BMessage *, BHandler **);
		
	private:
	
		CassidyConfig *config;
};
